import 'package:flutter/material.dart';
import 'package:qadirneyriz/widgets/custom_appbar.dart';
import 'package:flutter_gen/gen_l10n/app_localizations.dart';

class AboutUsScreen extends StatelessWidget {
  const AboutUsScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return CustomScrollView(
      slivers: [
        const CustomAppbar(),
        SliverToBoxAdapter(
          child: Image.asset('assets/images/logomizban.png'),
        ),
        SliverToBoxAdapter(
          child: Column(
            children: [
              Padding(
                padding: const EdgeInsets.symmetric(horizontal: 20),
                child: Text(
                  textAlign: TextAlign.justify,
                  AppLocalizations.of(context)!.textaboutus,
                ),
              ),
              SizedBox(
                height: 10,
              ),
              Column(
                children: [
                  Image.asset(
                    'assets/images/D2.png',
                    width: 80,
                    height: 80,
                  ),
                  SizedBox(
                    height: 8,
                  ),
                  Text(
                    'نسخه 1.0.0',
                    style: TextStyle(fontSize: 12),
                  ),
                  SizedBox(
                    height: 10,
                  )
                ],
              )
            ],
          ),
        )
      ],
    );
  }
}
